function showSelectedLines(groupSpec){
    //id is groupSpec,rev,line#
    setSelectedLines(groups[groupSpec].r1Lines);
    setSelectedLines(groups[groupSpec].r2Lines);
}

function setSelectedLines(lines){
    var el;
    var colours = new Array("aqua", "black", "blue", "fuchsia", "gray", "green", "lime", "maroon", "navy", "olive", "orange", "purple", "red", "silver", "teal", "white", "yellow");
    for (i=0;i<lines.length;i++){
        if(lines[i]){
            el = $(lines[i].el);
            if(el){  //may not be shown
                if (lines[i].selected){
                    el.setAttribute("style", "background-color: cyan;");
                } else {
                    el.setAttribute("style", "background-color: ;");
                }
                if (lines[i].comments){
                    mmel = $("mm"+lines[i].el);
                    var links = "";
                    for (j=0;j<lines[i].comments.length;j++){
                        var message = "";
                        if (comment[lines[i].comments[j]]){
                            message = comment[lines[i].comments[j]].comment;
                        }
                        var bg = colours[(lines[i].comments[j]%colours.length)-1];
                        links += "<span class='diffMMTableCell' style='background-color: "+bg+
                                 "' title='"+message+
                                 "'><a name='comline"+lines[i].comments[j]+"-"+i+"' onclick='popInfoClick(this,"+lines[i].comments[j]+")'"+
                                 " onmouseover='popInfoOver(this)' onmouseout='popInfoOut(this)';>&nbsp;</a></span>";
                    }
                    mmel.innerHTML = links;
                }
            }
        }
    }
}